Get onboarding progress
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/getOnboardingProgress \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"roleInOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/getOnboardingProgress"
payload = { "roleInOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({roleInOrgId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://app.toku.com/api/tokuApi/v1/getOnboardingProgress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"roleInOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"steps": [
{
"stepId": "<string>",
"status": "<string>",
"stepData": {},
"completedAt": "2023-11-07T05:31:56Z",
"lastAccessedAt": "2023-11-07T05:31:56Z"
}
],
"completedStepCount": 123,
"totalStepCount": 123,
"countryCode": "<string>",
"currentStepId": "<string>",
"onboardingStartedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Get Onboarding Progress
Returns detailed onboarding progress, including individual onboarding steps.
POST
/
getOnboardingProgress
Get onboarding progress
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
Optional role-in-org identifier to inspect
Response
Successful response
Role-in-org identifier
Onboarding status
Detailed onboarding steps
Show child attributes
Show child attributes
Number of completed steps
Total number of onboarding steps
Country code for onboarding flow
Current onboarding step identifier
When onboarding started
⌘I
